## org.eclipse.emf.cdo.transaction
Interface CDOTransaction

All Superinterfaces:
  CDOCommonView, CDOUserTransaction, CDOView, org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.options.IOptionsContainer

All Known Subinterfaces:
  InternalCDOTransaction

    public interface CDOTransaction

extends CDOView, CDOUserTransaction

A read-write view to the current (i.e. latest) state of the object graph in the repository.

Since:
  2.0

Nested Class Summary
`static interface` `CDOTransaction.Options`

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`CDOCommonView.Type`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`UNSPECIFIED_DATE`

Method Summary
`void` `addHandler(CDOTransactionHandler handler)`
`CDOResource` `createResource(java.lang.String path)`
`java.util.Set<CDOObject>` `getConflicts()`
`java.util.Map<CDOID,CDOObject>` `getDetachedObjects()`
`java.util.Map<CDOID,CDOObject>` `getDirtyObjects()`
`CDOTransactionHandler[]` `getHandlers()`
`long` `getLastCommitTime()`
`java.util.Map<CDOID,CDOObject>` `getNewObjects()`
`java.util.Map<CDOID,CDOResource>` `getNewResources()`
`CDOResource` `getOrCreateResource(java.lang.String path)`
`java.util.Map<CDOID,CDORevisionDelta>` `getRevisionDeltas()`
`boolean` `hasConflict()` Returns `true` if this transaction contains local modifications that are conflicting with remote modifications, `false` otherwise.
`boolean` `isDirty()` Returns `true` if this transaction is not closed and contains uncommitted changes, `false` otherwise.
`CDOTransaction.Options` `options()`
`void` `removeHandler(CDOTransactionHandler handler)`
`void` `resolveConflicts(CDOConflictResolver... resolver)`

Methods inherited from interface org.eclipse.emf.cdo.view.CDOView
`createQuery, getLock, getObject, getObject, getObject, getResource, getResource, getResourceNode, getResourceSet, getRootResource, getSession, getURIHandler, getViewSet, hasResource, isObjectRegistered, lockObjects, queryResources, queryResourcesAsync, reload, unlockObjects, unlockObjects`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`getTimeStamp, getViewID, getViewType`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserTransaction
`commit, commit, getLastSavepoint, rollback, rollback, setSavepoint`

Method Detail

### getLastCommitTime

    long getLastCommitTime()

### isDirty

    boolean isDirty()

  Returns `true` if this transaction is not closed and contains uncommitted changes, `false` otherwise.

  Specified by:
    `isDirty` in interface `CDOView`
  See Also:
    `isDirty()`

### hasConflict

    boolean hasConflict()

  Returns `true` if this transaction contains local modifications that are conflicting with remote modifications, `false` otherwise.

  Specified by:
    `hasConflict` in interface `CDOView`
  See Also:
    `hasConflict()`

### getConflicts

    java.util.Set<CDOObject> getConflicts()

### resolveConflicts

    void resolveConflicts(CDOConflictResolver... resolver)

### createResource

    CDOResource createResource(java.lang.String path)

  See Also:
    `ResourceSet.createResource(URI)`

### getOrCreateResource

    CDOResource getOrCreateResource(java.lang.String path)

### addHandler

    void addHandler(CDOTransactionHandler handler)

### removeHandler

    void removeHandler(CDOTransactionHandler handler)

### getHandlers

    CDOTransactionHandler[] getHandlers()

### getNewResources

    java.util.Map<CDOID,CDOResource> getNewResources()

### getNewObjects

    java.util.Map<CDOID,CDOObject> getNewObjects()

### getDirtyObjects

    java.util.Map<CDOID,CDOObject> getDirtyObjects()

### getRevisionDeltas

    java.util.Map<CDOID,CDORevisionDelta> getRevisionDeltas()

### getDetachedObjects

    java.util.Map<CDOID,CDOObject> getDetachedObjects()

  Since:
    2.0

### options

    CDOTransaction.Options options()

  Specified by:
    `options` in interface `CDOView`
  Specified by:
    `options` in interface `org.eclipse.net4j.util.options.IOptionsContainer`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.